> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/smc-index/get-nominator-earnings-method",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Nominator Earnings Method

> Get nominator income in specified pool with his stake on each timepoint.



## OpenAPI

````yaml get /getNominatorEarnings
openapi: 3.1.0
info:
  title: TON SC Indexer V2
  description: TON Smart Contracts Indexer. Nominator pools, V2.
  version: 0.0.2
servers:
  - url: https://toncenter.com/api/smc-index
  - url: https://testnet.toncenter.com/api/smc-index
security: []
paths:
  /getNominatorEarnings:
    get:
      summary: Get Nominator Earnings Method
      description: Get nominator income in specified pool with his stake on each timepoint.
      operationId: get_nominator_earnings_method_api_smc_index_getNominatorEarnings_get
      parameters:
        - name: nominator
          in: query
          required: true
          schema:
            type: string
            description: The nominator address.
            title: Nominator
          description: The nominator address.
        - name: pool
          in: query
          required: true
          schema:
            type: string
            description: Pool address to get earnings in.
            title: Pool
          description: Pool address to get earnings in.
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Limit from bottom.
            default: 100
            title: Limit
          description: Limit from bottom.
        - name: from_time
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Unixtime of the first booking.
            title: From Time
          description: Unixtime of the first booking.
        - name: to_time
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Unixtime of the last booking.
            title: To Time
          description: Unixtime of the last booking.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EarningsModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
components:
  schemas:
    EarningsModel:
      properties:
        total_on_period:
          type: integer
          title: Total On Period
        earnings:
          items:
            $ref: '#/components/schemas/EarningModel'
          type: array
          title: Earnings
      type: object
      required:
        - total_on_period
        - earnings
      title: EarningsModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EarningModel:
      properties:
        utime:
          type: integer
          title: Utime
        income:
          type: integer
          title: Income
        stake_before:
          type: integer
          title: Stake Before
      type: object
      required:
        - utime
        - income
        - stake_before
      title: EarningModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key

````